package com.example.newproject;

import android.os.Parcel;
import android.os.Parcelable;

public class Movie implements Parcelable {

    private int ID;
    private int MinCostForAgent;
    private String ProductTypeID;
    private String Title;
    private String ArcticleNumber;
    private String Image;

    public Movie(int ID, int minCostForAgent, String productTypeID, String title, String arcticleNumber, String image)
    {
        this.ID = ID;
        MinCostForAgent = minCostForAgent;
        ProductTypeID = productTypeID;
        Title = title;
        ArcticleNumber = arcticleNumber;
        Image = image;
    }

    public void setID(int ID) {
        this.ID = ID;
    }

    public void setMinCostForAgent(int minCostForAgent) {
        MinCostForAgent = minCostForAgent;
    }

    public void setProductTypeID(String productTypeID) {
        ProductTypeID = productTypeID;
    }

    public void setTitle(String title) {
        Title = title;
    }

    public void setArcticleNumber(String arcticleNumber) {
        ArcticleNumber = arcticleNumber;
    }

    public void setImage(String image) {
        Image = image;
    }

    public int getID() {
        return ID;
    }

    public int getMinCostForAgent() {
        return MinCostForAgent;
    }

    public String getProductTypeID() {
        return ProductTypeID;
    }

    public String getTitle() {
        return Title;
    }

    public String getArcticleNumber() {
        return ArcticleNumber;
    }

    public String getImage() {
        return Image;
    }

    protected Movie(Parcel in) {
        ID = in.readInt();
        MinCostForAgent = in.readInt();
        ProductTypeID = in.readString();
        Title = in.readString();
        ArcticleNumber = in.readString();
        Image = in.readString();
    }

    public static final Creator<Movie> CREATOR = new Creator<Movie>() {
        @Override
        public Movie createFromParcel(Parcel in) {
            return new Movie(in);
        }

        @Override
        public Movie[] newArray(int size) {
            return new Movie[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeInt(ID);
        parcel.writeInt(MinCostForAgent);
        parcel.writeString(ProductTypeID);
        parcel.writeString(Title);
        parcel.writeString(ArcticleNumber);
        parcel.writeString(Image);
    }
}
